package market.stdform;

import javax.swing.JPanel;

import market.VCDate;
import market.swing.JTFCheckable;
import sale.FormSheet;
import sale.FormSheetContentCreator;

/**
 * FormSheet for the time simulator.
 */
public class FSTime extends FormSheet {

    /**
	 * ID for serialization.
	 */
	private static final long serialVersionUID = -2422226991163007658L;

	public FSTime() {
        super("Zeit vorstellen", new FormSheetContentCreator() {
			private static final long serialVersionUID = -4551250656200365315L;
			public void createFormSheetContent(FormSheet fs) {
	            JPanel jpMain = new JPanel();
	            JTFCheckable jtfTime = new JTFCheckable(1, new VCDate("Zielzeit"), 10);
	            jpMain.add(jtfTime);
	            fs.setComponent(jpMain);
	            fs.removeAllButtons();
	            fs.addButton("Ausfhren", ButtonIDs.BTN_OK, null);
	        }}, false);
    }
}